Name:           rsync-bpc
Version:        3.1.3.0
Release:        %mkrel 3
Summary:        A customized version of rsync that is used as part of BackupPC
License:        GPLv3+
Group:          Networking/File transfer
URL:            https://github.com/backuppc/rsync-bpc
Source0:        https://github.com/backuppc/rsync-bpc/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch1:         rsync-bpc-configure-c99.patch
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  popt-devel

Provides:       bundled(rsync) = 3.1.3

%description
Rsync-bpc is a customized version of rsync that is used as part of
BackupPC, an open source backup system.

The main change to rsync is adding a shim layer (in the subdirectory
backuppc, and in bpc_sysCalls.c) that emulates the system calls for
accessing the file system so that rsync can directly read/write files
in BackupPC's format.

Rsync-bpc is fully line-compatible with vanilla rsync, so it can talk
to rsync servers and clients.

Rsync-bpc serves no purpose outside of BackupPC.


%prep
%autosetup -p1

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
%configure
%make_build

%install
%make_install

%files
%doc NEWS README
%license COPYING
%{_bindir}/rsync_bpc


%changelog
* Mon Oct 28 2024 daviddavid <daviddavid> 3.1.3.0-3.mga10
+ Revision: 2111641
- add fedora patch to fix build with GCC 14

* Fri Mar 18 2022 umeabot <umeabot> 3.1.3.0-2.mga9
+ Revision: 1797816
- Mageia 9 Mass Rebuild

* Wed Oct 14 2020 guillomovitch <guillomovitch> 3.1.3.0-1.mga8
+ Revision: 1636093
- new version 3.1.3.0

* Wed Aug 12 2020 guillomovitch <guillomovitch> 3.1.2.2-1.mga8
+ Revision: 1613668
- new version 3.1.2.2

* Sat Feb 15 2020 umeabot <umeabot> 3.1.2.0-2.mga8
+ Revision: 1523312
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 03 2019 guillomovitch <guillomovitch> 3.1.2.0-1.mga7
+ Revision: 1371130
- new version 3.1.2.0

* Sun Sep 23 2018 umeabot <umeabot> 3.0.9.8-3.mga7
+ Revision: 1300861
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 3.0.9.8-2.mga7
+ Revision: 1242465
- fix build on aarch64

* Mon Sep 18 2017 guillomovitch <guillomovitch> 3.0.9.8-1.mga7
+ Revision: 1155200
- imported package rsync-bpc

